Mock Scenarios

sfp server API reference for Mock Scenarios: 10 endpoints.

POST/sfp/api/mocks/workspaces/{workspace}/scenarios

Authorization

access-token
AuthorizationBearer <token>

In: header

Path Parameters

workspace*string

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

curl -X POST "https://example.com/sfp/api/mocks/workspaces/string/scenarios" \  -H "Content-Type: application/json" \  -d '{    "name": "string"  }'
Empty
GET/sfp/api/mocks/workspaces/{workspace}/scenarios

Authorization

access-token
AuthorizationBearer <token>

In: header

Path Parameters

workspace*string

Response Body

curl -X GET "https://example.com/sfp/api/mocks/workspaces/string/scenarios"
Empty
POST/sfp/api/mocks/workspaces/{workspace}/scenarios/{name}/stop

Authorization

access-token
AuthorizationBearer <token>

In: header

Path Parameters

workspace*string
name*string

Response Body

curl -X POST "https://example.com/sfp/api/mocks/workspaces/string/scenarios/string/stop"
Empty
GET/sfp/api/mocks/workspaces/{workspace}/scenarios/{name}

Authorization

access-token
AuthorizationBearer <token>

In: header

Path Parameters

workspace*string
name*string

Response Body

curl -X GET "https://example.com/sfp/api/mocks/workspaces/string/scenarios/string"
Empty
DELETE/sfp/api/mocks/workspaces/{workspace}/scenarios/{name}

Authorization

access-token
AuthorizationBearer <token>

In: header

Path Parameters

workspace*string
name*string

Response Body

curl -X DELETE "https://example.com/sfp/api/mocks/workspaces/string/scenarios/string"
Empty
PUT/sfp/api/mocks/workspaces/{workspace}/scenarios/{name}/steps/{seq}

Authorization

access-token
AuthorizationBearer <token>

In: header

Path Parameters

workspace*string
name*string
seq*string

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

curl -X PUT "https://example.com/sfp/api/mocks/workspaces/string/scenarios/string/steps/string" \  -H "Content-Type: application/json" \  -d '{    "response": {}  }'
Empty
POST/sfp/api/mocks/workspaces/{workspace}/scenarios/{name}/arm

Authorization

access-token
AuthorizationBearer <token>

In: header

Path Parameters

workspace*string
name*string

Response Body

curl -X POST "https://example.com/sfp/api/mocks/workspaces/string/scenarios/string/arm"
Empty
DELETE/sfp/api/mocks/workspaces/{workspace}/scenarios/{name}/arm

Authorization

access-token
AuthorizationBearer <token>

In: header

Path Parameters

workspace*string
name*string

Response Body

curl -X DELETE "https://example.com/sfp/api/mocks/workspaces/string/scenarios/string/arm"
Empty
POST/sfp/api/mocks/workspaces/{workspace}/scenarios/{name}/rewind

Authorization

access-token
AuthorizationBearer <token>

In: header

Path Parameters

workspace*string
name*string

Response Body

curl -X POST "https://example.com/sfp/api/mocks/workspaces/string/scenarios/string/rewind"
Empty
GET/sfp/api/mocks/workspaces/{workspace}/scenarios/{name}/export.yaml

Authorization

access-token
AuthorizationBearer <token>

In: header

Path Parameters

workspace*string
name*string

Response Body

curl -X GET "https://example.com/sfp/api/mocks/workspaces/string/scenarios/string/export.yaml"
Empty